Bug 31576 - netcfg crashes when no display is available
Summary: netcfg crashes when no display is available
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netcfg   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-12 23:03 UTC by Gregory Leblanc
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 18:20:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gregory Leblanc 2001-03-12 23:03:20 UTC
Typing netcfg from a command line crashes with some ugly errors when
DISPLAY isn't set.  It would be nice for this to throw a real error message
instead rather than dumping errors.  Here are the errors, in case they help

Traceback (innermost last):
  File "/usr/lib/rhs/netcfg/netcfg.py", line 24, in ?
    from rhtkinter import *
  File "/usr/lib/rhs/python/rhtkinter.py", line 69, in ?
    e = Entry()
  File "/usr/lib/python1.5/lib-tk/Tkinter.py", line 1354, in __init__
    Widget.__init__(self, master, 'entry', cnf, kw)
  File "/usr/lib/python1.5/lib-tk/Tkinter.py", line 1078, in __init__
    BaseWidget._setup(self, master, cnf)
  File "/usr/lib/python1.5/lib-tk/Tkinter.py", line 1055, in _setup
    _default_root = Tk()
  File "/usr/lib/python1.5/lib-tk/Tkinter.py", line 886, in __init__
    self.tk = _tkinter.create(screenName, baseName, className)
TclError: no display name and no $DISPLAY environment variable

Comment 1 Bill Nottingham 2006-08-07 17:45:49 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 2 Gregory Leblanc 2006-08-07 18:20:56 UTC
The code that caused this bug is dead and gone, so I'm closing this bug as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.